> For the complete documentation index, see [llms.txt](https://docs.ritabot.gg/ritabot-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ritabot.gg/ritabot-docs/version-history/130/v1.3.15.md).

# V1.3.15

Version Changes for 1.3.?-?

{% hint style="info" %}
If you need help at any point join our [**Discord Server**](https://discord.gg/mgNR64R) and someone will help you.
{% endhint %}

## Inital Release

{% code overflow="wrap" %}

```markdown
### 1.3.15-0
Date: 13/11/22
User: Qjuh
> ----------
>>> db.js
* added subscriptions to server_obj
* refactored building of server_obj to do three seperate loops for servers, stats and subscriptions instead of nested loops
* removed global property from server_obj as it's not used anymore
* removed .paused from `server_obj[].servers` as its now accessible from subscriptions directly
* changed `updatePaused()` to only update subscriptions and not servers anymore (see above)

>>> translate.react.js, translate.js, message.js
* Removed mentions of `server_obj.global`

>>> translate.react.js, pause.js, message.js, slashcommand.js
* Moved .paused check from `server_obj[].servers` to `server_obj[].subscriptions`

>>> send.js
* Refined check for empty message error to not apply for stickers/attachments sent in same channel translations
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ritabot.gg/ritabot-docs/version-history/130/v1.3.15.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
